Ubuntu

flash not working

Asked by cyrion on 2010-10-25

Binary package hint: firefox

flash is not working with firefox 4.6 beta 6 (on ubuntu maverick x64)
I get empty blocks on webpages instead of flash anims.

Flash shows up on about:plugins:
    Fichier : npwrapper.libflashplayer.so
    Version :
    Shockwave Flash 10.1 r85

Flash is working if I start firefox 3.x, konqueror or chrome.

apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installé : (aucun)
  Candidat : 10.1.85.3ubuntu1
 Table de version :
     10.1.85.3ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ maverick/multiverse amd64 Packages

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: firefox 3.6.11+build3+nobinonly-0ubuntu0.10.10.1
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon Oct 25 12:56:08 2010
FirefoxPackages:
 firefox 3.6.11+build3+nobinonly-0ubuntu0.10.10.1
 firefox-gnome-support N/A
 firefox-branding 3.6.11+build3+nobinonly-0ubuntu0.10.10.1
 abroswer N/A
 abrowser-branding N/A
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928.3)
ProcEnviron:
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu firefox Edit question
Assignee:
No assignee Edit question
Solved by:
cyrion
Solved:
2010-10-27
Last query:
2010-10-27
Last reply:
2010-10-25

This question was originally filed as bug #666225.

cyrion (cyrion) said : #1
Micah Gersten (micahg) said : #2

Thank you for reporting this to Ubuntu. Are you using the packages from the Ubuntu Mozilla PPA (firefox-next)? Also, are you using a different profile for 4.0?

cyrion (cyrion) said : #3

Hi,
I'm using the tgz version of firefox 4 beta downloaded from mozilla site.

Flash comes from flashplugin-installer.

flashplugin-installer:
  Installé : 10.1.85.3ubuntu1
  Candidat : 10.1.85.3ubuntu1
 Table de version :
 *** 10.1.85.3ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ maverick/multiverse amd64 Packages
        100 /var/lib/dpkg/status

Micah Gersten (micahg) said : #4

Thank you for taking the time to report this issue and helping to make Ubuntu better. Examining the information you have given us, this does not appear to be a bug report so we are closing it and converting it to a question in the support tracker. We appreciate the difficulties you are facing, but it would make more sense to raise problems you are having in the support tracker at https://answers.launchpad.net/ubuntu if you are uncertain if they are bugs. For help on reporting bugs, see https://help.ubuntu.com/community/ReportingBugs#When%20not%20to%20file%20a%20bug.

Micah Gersten (micahg) said : #5

Are you using the same profile for upstream as you were with the Ubuntu Firefox?

cyrion (cyrion) said : #6

The problem was simple: I downloaded the x32 version of ff, and my plugins are all x64 .so :)
Sorry :(